Bug 1022847 - [abrt] mirall-1.4.1-1.fc20: __gmpz_clear: Process /usr/bin/owncloud was killed by signal 11 (SIGSEGV)
[abrt] mirall-1.4.1-1.fc20: __gmpz_clear: Process /usr/bin/owncloud was kille...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mirall (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Joseph Marrero
Fedora Extras Quality Assurance
abrt_hash:c5bf684152467ecab3ef15f7f06...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-24 03:16 EDT by Philipp Dreimann
Modified: 2013-12-13 22:53 EST (History)
4 users (show)

See Also:
Fixed In Version: mirall-1.4.2-3.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-16 02:09:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (58.09 KB, text/plain)
2013-10-24 03:17 EDT, Philipp Dreimann
no flags Details
File: cgroup (159 bytes, text/plain)
2013-10-24 03:17 EDT, Philipp Dreimann
no flags Details
File: core_backtrace (40.87 KB, text/plain)
2013-10-24 03:17 EDT, Philipp Dreimann
no flags Details
File: dso_list (12.70 KB, text/plain)
2013-10-24 03:17 EDT, Philipp Dreimann
no flags Details
File: environ (6.23 KB, text/plain)
2013-10-24 03:17 EDT, Philipp Dreimann
no flags Details
File: exploitable (82 bytes, text/plain)
2013-10-24 03:17 EDT, Philipp Dreimann
no flags Details
File: limits (1.29 KB, text/plain)
2013-10-24 03:17 EDT, Philipp Dreimann
no flags Details
File: maps (71.20 KB, text/plain)
2013-10-24 03:17 EDT, Philipp Dreimann
no flags Details
File: open_fds (1.77 KB, text/plain)
2013-10-24 03:17 EDT, Philipp Dreimann
no flags Details
File: proc_pid_status (948 bytes, text/plain)
2013-10-24 03:17 EDT, Philipp Dreimann
no flags Details

  None (edit)
Description Philipp Dreimann 2013-10-24 03:16:59 EDT
Description of problem:
This crash happens during a normal sync process.

The last line in the logfile is 
csync_statedb_close: Successfully moved tmp db to original db.

I've seen the same error using oc-sync from the open suse build service.

Version-Release number of selected component:
mirall-1.4.1-1.fc20

Additional info:
reporter:       libreport-2.1.8
backtrace_rating: 4
cmdline:        owncloud --logfile oc.log
crash_function: __gmpz_clear
executable:     /usr/bin/owncloud
kernel:         3.11.5-302.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 __gmpz_clear at ../../mpz/clear.c:28
 #1 mp_clear_multi at multi.c:38
 #2 ecc_del_point at ecc_points.c:62
 #3 _ecc_wmnaf_cache_entry_free at ecc_mulmod_cached.c:55
 #4 ecc_wmnaf_cache_free at ecc_mulmod_cached.c:70
 #5 gnutls_crypto_deinit at init.c:44
 #6 gnutls_global_deinit at gnutls_global.c:304
 #7 ne__ssl_exit at ne_gnutls.c:1433
 #8 ne_sock_exit at ne_socket.c:372
 #9 owncloud_commit at /usr/src/debug/ocsync-0.90.2/modules/csync_owncloud.c:1752
Comment 1 Philipp Dreimann 2013-10-24 03:17:03 EDT
Created attachment 815646 [details]
File: backtrace
Comment 2 Philipp Dreimann 2013-10-24 03:17:07 EDT
Created attachment 815647 [details]
File: cgroup
Comment 3 Philipp Dreimann 2013-10-24 03:17:11 EDT
Created attachment 815648 [details]
File: core_backtrace
Comment 4 Philipp Dreimann 2013-10-24 03:17:16 EDT
Created attachment 815649 [details]
File: dso_list
Comment 5 Philipp Dreimann 2013-10-24 03:17:20 EDT
Created attachment 815650 [details]
File: environ
Comment 6 Philipp Dreimann 2013-10-24 03:17:24 EDT
Created attachment 815651 [details]
File: exploitable
Comment 7 Philipp Dreimann 2013-10-24 03:17:28 EDT
Created attachment 815652 [details]
File: limits
Comment 8 Philipp Dreimann 2013-10-24 03:17:31 EDT
Created attachment 815653 [details]
File: maps
Comment 9 Philipp Dreimann 2013-10-24 03:17:35 EDT
Created attachment 815654 [details]
File: open_fds
Comment 10 Philipp Dreimann 2013-10-24 03:17:38 EDT
Created attachment 815655 [details]
File: proc_pid_status
Comment 11 Philipp Dreimann 2013-10-24 03:38:41 EDT
This seems to be related to the gnutls-3.1.13-3.fc20 update in updates-testing.
gnutls-3.1.13-2.fc20 works for me.
Comment 12 Tomas Mraz 2013-10-24 03:54:57 EDT
This is not a bug in gnutls. gnutls_global_deinit() is not thread safe and should not be ever called in multithreaded process unless it is really closing or it must handle mutexing of the gnutls_global_init() and gnutls_global_deinit() calls on its own.
Comment 13 Philipp Dreimann 2013-10-24 12:42:36 EDT
Ok, Thomas. Then you'd say that the following function in the neon library is wrong, if it is used in a application that uses threading?

void ne__ssl_exit(void)
{
    /* No way to unregister the thread callbacks.  Doomed. */
#if LIBGNUTLS_VERSION_MAJOR > 1 || LIBGNUTLS_VERSION_MINOR > 3 \
    || (LIBGNUTLS_VERSION_MINOR == 3 && LIBGNUTLS_VERSION_PATCH >= 3)
    /* It's safe to call gnutls_global_deinit() here only with
     * gnutls >= 1.3., since older versions don't refcount and
     * doing so would prevent any other use of gnutls within
     * the process. */
    gnutls_global_deinit();
#endif
}
Comment 14 Tomas Mraz 2013-10-25 03:47:29 EDT
It is probably wrong to call the functions ne_sock_init() and ne_sock_exit() individually in threads of the application. The init should be probably called once on startup and the exit should be called once on application exit.

Alternatively these calls should be guarded by mutex.
Comment 15 Fedora Update System 2013-10-26 22:00:58 EDT
owncloud-csync-0.90.4-1.fc19,mirall-1.4.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/owncloud-csync-0.90.4-1.fc19,mirall-1.4.2-1.fc19
Comment 16 Fedora Update System 2013-10-26 22:01:56 EDT
owncloud-csync-0.90.4-1.fc18,mirall-1.4.2-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/owncloud-csync-0.90.4-1.fc18,mirall-1.4.2-1.fc18
Comment 17 Fedora Update System 2013-10-26 22:02:40 EDT
owncloud-csync-0.90.4-1.fc20,mirall-1.4.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/owncloud-csync-0.90.4-1.fc20,mirall-1.4.2-1.fc20
Comment 18 Manuel Faux 2013-11-05 04:46:09 EST
According to the mirall bug tracker [1] it seems that this problem only occurs under Fedora 19/20. I also could not find any other bug report where this or similar seg faults occur with mirall or ocsync. I'm not sure if this is really a bug in owncloud and not an related libary.

[1] https://github.com/owncloud/mirall/issues/1134
Comment 19 Fedora Update System 2013-11-14 21:13:40 EST
mirall-1.4.2-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mirall-1.4.2-3.fc19
Comment 20 Fedora Update System 2013-11-14 21:14:07 EST
mirall-1.4.2-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mirall-1.4.2-3.fc18
Comment 21 Fedora Update System 2013-11-14 21:14:33 EST
mirall-1.4.2-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mirall-1.4.2-3.fc20
Comment 22 Fedora Update System 2013-11-16 01:56:07 EST
Package mirall-1.4.2-3.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mirall-1.4.2-3.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-21438/mirall-1.4.2-3.fc18
then log in and leave karma (feedback).
Comment 23 Fedora Update System 2013-11-16 02:09:13 EST
mirall-1.4.2-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 24 Fedora Update System 2013-12-01 04:33:50 EST
mirall-1.4.2-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 25 Fedora Update System 2013-12-13 22:53:35 EST
mirall-1.4.2-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.